summary.capthist {secr} | R Documentation

## Summarise Detections

### Description

Concise description of `capthist` object.

### Usage

    ## S3 method for class 'capthist'
    summary(object, terse = FALSE, moves = FALSE, ...)

    ## S3 method for class 'summary.capthist'
    print(x, ...)

    counts(CHlist, counts = "M(t+1)")

### Arguments

`object` | `capthist` object
`terse` | logical; if TRUE return only summary counts
`moves` | logical; if TRUE then summary includes detected movements
`x` | `summary.capthist` object
`...` | arguments passed to other functions
`CHlist` | capthist object, especially a multi-session object
`counts` | character vector of count names

### Details

These counts are reported by `summary.capthist`

n | number of individuals detected on each occasion
u | number of individuals detected for the first time on each occasion
f | number of individuals detected exactly f times
M(t+1) | cumulative number of individuals detected
losses | number of individuals reported as not released on each occasion
detections | number of detections, including within-occasion `recaptures'
traps visited | number of detectors at which at least one detection was recorded
traps set | number of detectors, excluding any `not set' in `usage` attribute of `traps` attribute

The last two rows are dropped if the data are nonspatial (object has no traps attribute).

Movements are as reported by `moves`. When `terse = TRUE` the number of non-zero moves is reported. The temporal sequence of detections at ‘proximity’ and ‘count’ detectors is not recorded in the capthist object, so the movement statistics are not to be taken too seriously. The problem is minimised when detections are sparse (seldom more than one per animal per occasion), and does not occur with 'single' or 'multi' detectors.

`counts` may be used to return the specified counts in a compact session x occasion table. If more than one count is named then a list is returned with one component for each type of count.

### Value

From `summary.capthist`, an object of class `summary.capthist`, a list with at least these components

`detector` | `detector` type ("single", "multi", "proximity" etc.)
`ndetector` | number of detectors
`xrange` | range of x coordinates of detectors
`yrange` | range of y coordinates of detectors
`spacing` | mean distance from each trap to nearest other trap
`counts` | matrix of summary counts (rows) by occasion (columns). See Details.
`dbar` | mean recapture distance
`RPSV` | root pooled spatial variance

or, when `terse = TRUE`, a vector (single session) or dataframe (multiple sessions) of counts (Occasions, Detections, Animals, Detectors, and optionally Moves).

### See Also

`dbar`, `RPSV`, `capthist`

### Examples

    temptrap <- make.grid(nx = 5, ny = 3)
    summary(sim.capthist(temptrap))
    summary(sim.capthist(temptrap))$counts["n",]
    summary(captdata, moves = TRUE)

[Package secr version 3.2.1 Index]